Bug 12333 - Add floating toolbar to acquisition basket summary page
Summary: Add floating toolbar to acquisition basket summary page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 19083
  Show dependency treegraph
 
Reported: 2014-05-29 21:56 UTC by Christopher Brannon
Modified: 2017-10-10 13:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12333: Acquisitions toolbar and removing Add to basket section at bottom (2.30 KB, patch)
2016-04-26 02:55 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12333: Acquisitions toolbar and removing Add to basket section at bottom (2.41 KB, patch)
2016-04-26 14:12 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 12333: Acquisitions toolbar and removing Add to basket section at bottom (2.42 KB, patch)
2016-04-27 11:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2014-05-29 21:56:59 UTC
Would like to see someone make the Acquisitions toolbar (in basket.pl) float when scrolling down, and remove the Add Order to Basket section at the bottom of the screen.

This would eliminate loading redundant code since there is a modal version of this same section, and would load slightly faster since it isn't populating as long of a screen.

Christopher
Comment 1 Aleisha Amohia 2016-04-26 02:55:37 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-04-26 14:12:26 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-27 11:11:12 UTC
I like this!
Comment 4 Katrin Fischer 2016-04-27 11:13:04 UTC
Created attachment 50796 [details] [review]
[PASSED QA] Bug 12333: Acquisitions toolbar and removing Add to basket section at bottom

To test:
1) Go to Acqui -> do a vendor search -> view a basket
2) Confirm that the Add Order to basket section at the bottom is gone.
   Confirm the add to basket button in the toolbar still works as
   expected
3) Confirm that when you make your browser shorter, the toolbar follows
   the page down as you scroll

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Kyle M Hall 2016-04-29 11:50:18 UTC
Pushed to master! Should be in the May 2016 release! Qatlho' Aleisha!